KCONFIG_COMPILER " 1 "2006-06-01" "K Desktop Environment" "Programmeerhulpmiddel"

NAME
kconfig_compiler - KDE configuratie-compiler

SYNOPSIS

kconfig_compiler [Qt-opties] [KDE-opties] [opties] bestand.kcfg bestand.kcfgc

BESCHRIJVING

kconfig_compiler genereert C++ broncode uit twee bestanden. Het eerste bestand (.kcfg) bevat informatie over configuratie-opties en het tweede bestand (.kcfgc) levert de broncode-generatie-opties.

De gegenereerde broncode bevat een op klasse die gebaseerd is op KConfigSkeleton die een API levert om de programmaconfiguratiegegevens te benaderen.

OPTIES

Argumenten:

bestand.kcfg
    kcfg XML-bestand voor invoer

bestand.kcfgc
    Bestand met codegeneratieopties

Opties:

-d, --directory <map>
    Map om bestanden in te genereren [.]

Algemene opties:

--help
    Hulp over de opties tonen

--help-qt
    Qt-specifieke opties tonen

--help-kde
    KDE-specifieke opties tonen.

--help-all
    Alle opties tonen

--author
    Auteurinformatie tonen

-v, --version
    Versie-informatie tonen

--license
    Licentie-informatie tonen

KDE-opties:

--caption <titel>

--icon <pictogram>

--miniicon <icon>

--config <bestandsnaam>
    Alternatief configuratiebestand gebruiken

--dcopserver <server>
    Gebruik de DCOP-server aangegeven door 'server'.

--nocrashhandler
    Schakel de 'crashafhandeling' uit om 'core-dumps' te verkrijgen.

--waitforwm
    Wacht op een WM_NET-compatible windowmanager

--style <stijl>
    Bepaalt de GUI-stijl van de toepassing

--geometry <geometrie>
    sstelt de clientafmeting van de hoofdwidget in - zie de manpagina's van X voor de argumentopmaak

Qt-opties:

--display <schermnaam>
    Gebruik de X-serverdisplay 'displayname'

--session <sessie-id>
    De toepassing herstellen voor de gegeven 'sessionId'

--cmap
    Zorgt ervoor dat de toepassing een privé-kleurenschema op een 8-bit scherm gebruikt.

--ncols <aantal>
    Beperkt het aantal toegekende kleuren in de kleurkubus op een 8-bit scherm, als de applicatie de kleurspecificatie QApplication::ManyColor gebruikt

--nograb
    Vertelt QT dat deze nooit de muis of toetsenbord mag overnemen.

--sync
    Gaat over naar de synchrone modus voor het debuggen

--fn, --font <lettertypenaam>
    Het toepassingslettertype instellen

--bg, --background <kleur>
    Stelt de standaard achtergrondkleur in en een toepassingspalet (lichte en donkere tinten worden berekend)

--fg, --foreground <kleur>
    De standaard voorgrondkleur instellen

--btn, --button <kleur>
    De standaard knopkleur instellen

--name <naam>
    Bepaalt de naam van de toepassing

--title <titel>
    Bepaalt de titel van de toepassing (titelbalk)

--visual TrueColor
    Dwingt de toepassing om een TrueColor uiterlijk op een 8-bits scherm te gebruiken.

--inputstyle <invoerstijl>
    Stelt de XIM (X Input Method)-invoermethode in. Mogelijke waarden zijn "onthespot", "overthespot", "offthespot" en "root" (zonder aanhalingstekens).

--im <XIM-server>
    Stelt de XIM-server in

--noxim
    XIM uitschakelen

--reverse
    Spiegelt de hele opmaak van widgets

ZIE OOK

http://developer.kde.org
    De website met de KDE-ontwikkelaarshoek

FOUTEN/BUGS

Gaarne bugs.kde.org: http://bugs.kde.org gebruiken om bugrapporten in te dienen, stuur geen e-mail direct naar de auteurs.

AUTHORS
Cornelius Schumacher <schumacher@kde.org>, Waldo Bastian <bastian@kde.org>, Zack Rusin <zack@kde.org>.